% Iterative calculation of the law of the wall to find fDarcy.
% Iteration by setting F(f)= 1/sqrt(f) - 1.99*log(ReD*sqrt(f)) + 1.02
% equal to the convergence criteria. Solve for each value of ReD.

% I use Holman for the initial guess: f = 0.316/ReD^1/4


function h = LOW()

ReDplot = 1000:100:1e6;
fD = 1./((1.82*log10(ReDplot) -1.64).^2);
i=0;

for ReD = 1000:100:1e6
i=i+1;

fH =0.316./(ReD.^(1/4));
F = @(f) 1/sqrt(f) - 1.99*log10(ReD*sqrt(f)) + 1.02;


f = fzero(F, fH);
fvec(i) = f; 
end

semilogx(ReDplot, fvec, ReDplot, fD)
xlabel('Reynolds number')
ylabel('f_D')
legend('Log law', 'Filonenko')
title('Log law compared to Filonenko')


return